Bug 622313 - Review Request: rubygem-crack -- Really simple JSON and XML parsing, ripped from Merb and Rails
Summary: Review Request: rubygem-crack -- Really simple JSON and XML parsing, ripped f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 624290 624490
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-08 21:20 UTC by Michael Stahnke
Modified: 2014-08-06 18:43 UTC (History)
3 users (show)

Fixed In Version: rubygem-crack-0.1.8-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-09 17:21:19 UTC
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2010-08-08 21:20:02 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/rubygem-crack.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/rubygem-crack-0.1.8-1.fc15.src.rpm
Description: 
Really simple JSON and XML parsing, ripped from Merb and Rails

Comment 1 Mamoru TASAKA 2010-08-15 18:27:53 UTC
Initial comments

* BR / tests
  - It seems that "BR: rubygem(shoulda)" is only needed when enabling tests.
    (Currently your srpm builds without "BR: rubygem(shoulda)".

  - And, instead would you consider to package rubygem-jnunemaker-matchy to enable
    tests? It seems that with installing this gem (and modifying Rakefile a bit)
    all tests seem to succeed.

* Creating -doc
  - As I said in ruby-sig mailing list, (for this gem) I suggest to 
    create -doc subpackage.

Comment 2 Michael Stahnke 2010-08-16 16:01:42 UTC
I'll try to get this modified today.  

I did package up jnunemaker-matchy.  bug 624490

Comment 3 Mamoru TASAKA 2010-08-21 07:55:29 UTC
As the depending package was imported into Fedora, I appreciate it
if you would update this bug.

Comment 5 Mamoru TASAKA 2010-08-25 18:25:29 UTC
Okay.

--------------------------------------------------------
   This package (rubygem-crack) is APPROVED by mtasaka
--------------------------------------------------------

Comment 6 Michael Stahnke 2010-08-25 22:03:56 UTC
New Package SCM Request
=======================
Package Name: rubygem-crack
Short Description: Really simple JSON and XML parsing, ripped from Merb and Rails
Owners: stahnma
Branches: F12 F13 F14 EL5 EL6
InitialCC:

Comment 7 Kevin Fenzi 2010-08-27 19:13:51 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2010-09-09 03:23:38 UTC
rubygem-crack-0.1.8-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-crack-0.1.8-1.fc13

Comment 9 Fedora Update System 2010-09-09 03:23:47 UTC
rubygem-crack-0.1.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-crack-0.1.8-1.fc14

Comment 10 Fedora Update System 2010-09-09 04:10:32 UTC
rubygem-crack-0.1.8-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-crack'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-crack-0.1.8-1.fc14

Comment 11 Mamoru TASAKA 2010-09-09 17:21:19 UTC
Closing.

Comment 12 Fedora Update System 2010-09-17 18:30:04 UTC
rubygem-crack-0.1.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-09-23 12:32:30 UTC
rubygem-crack-0.1.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Troy Dawson 2014-08-06 16:43:48 UTC
Package Change Request
======================
Package Name: rubygem-crack
New Branches: epel7
Owners: tdawson

Comment 15 Gwyn Ciesla 2014-08-06 18:43:27 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.